* {
    padding: 0;
    margin: 0;
}
:root{
    --color: #ffffff;
    --test-block: {
        background-color: var(--color);
    }
}


*:not(input):not(textarea) {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none;   /* Chrome/Safari/Opera */
    -khtml-user-select: none;    /* Konqueror */
    -moz-user-select: none;      /* Firefox */
    -ms-user-select: none;       /* Internet Explorer/Edge */
    user-select: none;           /* Non-prefixed version, currently
                                  not supported by any browser */
}

html, body {
    height: 100%;
}

body {
    font-family: Verdana, Tahoma, Arial, sans-serif;
    min-height: auto !important;
    font-size: 16px;
    background-color: #4c4c4c;
    &::part(test-block);
}

a {
    text-decoration: none;
    outline: none;
    color: #006699;
    cursor: pointer;
}
.spin{
    background-image: url(/images/spin.gif);
    background-position: 5px center;
    background-repeat: no-repeat;
    background-size: contain;
}
a:visited, a:hover, a:focus {
    color: #006699;
}

input:focus, select:focus, option:focus, textarea:focus{
    outline: none;
}
.fav {
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 20px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding-left: 2px;
    padding-right: 2px;
    background: #ffffff;
}
.fav .fav-icon {
    width: 15px;
    height: 14px;
    background-image: url("/images/favorite14B.png");
    background-position: 0 0;
}

.fav.active .fav-icon {
    background-position: 15px 0;
}
.block-responsible{
    position: absolute;
    top: 0;
    right: 0;
    display: block;
    color: black;
    font-size: 14px;
    font-weight: normal;
    text-align: right;
}

.block-responsible .responsible-last_update .text-val,
.block-responsible .responsible-person{
    cursor: pointer;
}

.block-responsible .responsible-last_update .responsible-instruction{
    float: left;
}

.block-responsible .responsible-last_update{
    margin-top: 5px;
}
.block-responsible .responsible-last_update .has-dtpicker-responsible{
    display: none;
    width: 75px;
    padding: 2px;
    text-align: center;
}

.popup-background[data-id="windowResponsibleInstruction"] .popup-content-wrap{
    height: calc(100% - 62px);
}
.popup-background[data-id="windowResponsibleInstruction"]{
    z-index: 10;
}
.popup-background[data-id="windowResponsibleInstruction"] .cke_bottom{
    display: none;
}

.responsible-instruction-wrapper{
    height: 100%;
    padding: 0 15px;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
}

::-webkit-scrollbar:vertical, ::-webkit-scrollbar:horizontal {
    width: 15px;
}

::-webkit-scrollbar:horizontal {
    height: 15px;
}

::-webkit-scrollbar-thumb {
    /*background-color: #BCBCBC ;
    border: 1px solid #9A9A9A ;*/
    border-radius: 2px;
    background: #f5f5f5; /* Old browsers */
    background: -moz-linear-gradient(left, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f5f5f5 ', endColorstr='#c0c0c4 ', GradientType=1); /* IE6-9 */

    border: 1px solid #979797;
}

::-webkit-scrollbar-thumb:horizontal {
    background: #f5f5f5; /* Old browsers */
    background: -moz-linear-gradient(top, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #f5f5f5 0%, #f1f1f1 36%, #d5d5d8 78%, #c0c0c4 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f5f5f5 ', endColorstr='#c0c0c4 ', GradientType=0); /* IE6-9 */

}

::-webkit-scrollbar-track {
    background-color: #eaeaea;
}

::-webkit-scrollbar-button:decrement {
    background: url('/images/scroll.png') 0 0;
}

::-webkit-scrollbar-button:increment {
    background: url('/images/scroll.png') 0 15px;
}

::-webkit-scrollbar-button:horizontal:decrement {
    background: url('/images/scroll_hrz.png') 0 0;
}

::-webkit-scrollbar-button:horizontal:increment {
    background: url('/images/scroll_hrz.png') 15px 0;
}

::-webkit-scrollbar {
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.hidden-scroll::-webkit-scrollbar {
    width: 0 !important;
    height: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.table-show-scroll{
    margin-right: -25px;
    padding-right: 20px;
}


.table-show-scroll .show-scroll{
    margin-right: -15px;
    padding-right: 0px;
}


.table-show-scroll .table-head-block.show-scroll{
    padding-right: -15px;
    margin: 0 auto;
}

.show-scroll{
    margin-right: -20px;
    padding-right: 5px;
}

.show-scroll::-webkit-scrollbar {
    width: 15px !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.show-scroll_new::-webkit-scrollbar {
    width: 15px !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}


.active, .current-item, .last-visit, .btn.active {
    background-color: #ffffaa;
}


.disabled,
a.disabled:visited,
a.disabled:hover,
a.disabled:focus {
    color: #ccc;
}
.tablesorter-sticky-hidden{
    padding: 0 !important;
}

.csv-table td{
    overflow: hidden;
    text-overflow: ellipsis;
    /*white-space: nowrap;*/
    padding: 7px 5px;
}

.container {
    width: 1150px;
    padding-top: 5px;
    margin: 0 auto;
    height: calc(100% - 10px);
}



.filter-block::-webkit-scrollbar{

    height: 0 !important;
}


.container-inner {
    width: 100%;
    height: 100%;
    background-color: #fff;
    border-radius: 12px 12px 2px 2px;
    position: relative;
}

.page-container {
    height: calc(100% - 103px);
    padding: 0 20px;
    overflow: hidden;
}

.mobile-container .page-container {
    height: calc(100% - 109px);
}
.mobile-container .section.table-section.classic .table-body-block {
    max-height: calc(100% - 48px) !important;
    height: auto;
}
@media screen and  (min-width: 520px){
    .mobile-container .page-container {
        height: calc(100% - 93px);
    }
}


.section {
    overflow: auto;
    height: calc(100% - 40px);
}

.section.can_edit {
    overflow: auto;
    height: calc(100% - 106px);
}

.section.table-section td{
    height: 17px;
}
.section.table-section td .overflow{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.section.table-section .table-head-block th{
    position: relative;
    border-bottom: 2px solid lightgrey;
}
.section.table-section .table-head-block th div{
    overflow: hidden;
}

.section.table-section{
    overflow: hidden;
    height: calc(100% - 49px);
}

.section.table-section.can_edit{
    overflow: hidden;
    height: calc(100% - 106px);
}

.section.table-section.count-filters-1{
    overflow: hidden;
    height: calc(100% - 83px);
}

.section.table-section.count-filters-1.can_edit{
    overflow: hidden;
    height: calc(100% - 141px);
}

.section.table-section.count-filters-2{
    overflow: hidden;
    height: calc(100% - 119px);
}

.section.table-section.count-filters-2.can_edit{
    overflow: hidden;
    height: calc(100% - 176px);
}


.section.table-section .table-body-block{
    margin-top: -1px;
    height: calc(100% - 52px);
    overflow: auto;
}
.field-item.col-remove{
    width: 20px !important;
    min-width: 20px;
    max-width: 20px;
    height: 35px;
    background-color: #ffffff;
    position: relative;
}

.section.table-section .col-remove,
.col-remove{
    width: 10px;
    min-width: 10px;
    max-width: 10px;
    position: relative;
}
.field-item.col-remove.col-remove-content:after,
.col-remove.col-remove-content:after,
.section.table-section .col-remove.col-remove-content:after{
    color: red;
    cursor: pointer;
    content: "×";
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    vertical-align: middle;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}


.section.table-section:not(.edit-mode) .col-remove{
    display: none;
}

.section.table-section:not(.full-table) .cell-hidden{
    display: none;
}
.section.table-section:not(.full-table) .row-hidden{
    display: none;
}

.block-squares {
    height: calc(100% - 63px);
}

.block-squares.can_edit {
    height: calc(100% - 106px);
}

.block-squares .square {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.block-squares .square a {
    width: calc(25% - 10px);
    border: 1px solid #d3d3d3;
    padding: 20px 0;
    text-align: center;
    position: relative;
    margin-bottom: 10px;
    color: inherit;
}

.block-squares:not(.edit-mode) .square a:hover {
    background-color: #ffffac63;
    cursor: pointer;
}

.block-squares .square a .remove{
    position: absolute;
    display: none;
    top: 0;
    right: 0;
    font-size: 20px;
    width: 20px;
    height: 20px;
}

.block-squares.edit-mode .square a .remove{
    display: block;
}


.block-buttons{
    position: relative;
}

.section th .open-all-cell,
.section.table-section .table-head-block th .open-all-cell{
    width: 14px;
    height: 14px;
    bottom: 3px;
    top: auto;
}

.open-all-cell {
    display: inline-block;
    position: absolute;
    top: 2px;
    right: 0;
    cursor: pointer;
    z-index: 10;
    height: 20px;
    line-height: 0;
    width: 20px;
    padding: 2px 2px 0;
}

.open-all-cell img{
    max-width: 100%;
}

.block-buttons-list_items{
    text-align: left;
}

.table-context-menu,
.context-menu{
    border: 1px solid #d3d3d3;
    background-color: #ffffff;
    position: fixed;
    top: 0;
    left: 0;
    list-style: none;z-index: 15;
}

.context-menu li:not(.text),
.context-menu .context-menu-item:not(.text){
    cursor: pointer;
    padding: 3px 5px;
    font-size: .8rem;
    text-align: left;
}
.context-menu .context-menu-item.text{
    padding: 5px 10px;
    font-size: .8rem;
    text-align: left;
    user-select: text;
    -webkit-user-select: text;
}
.context-menu .context-menu-remove{
    color: red;
    line-height: 21px;
}

#cke_show-cke .cke_top .cke_toolbox .cke_toolbar:not(:first-child),
#cke_show-cke .cke_top .cke_toolbox .cke_toolbar:first-child .cke_toolgroup .cke_toolbar_separator,
#cke_show-cke .cke_top .cke_toolbox .cke_toolbar:first-child .cke_toolgroup .cke_button__templates {
    display: none;
}
.table-context-menu .table-context-menu-item{
    text-align: center;
    cursor: default;
}

.table-context-menu{
    font-size: .8rem;
}

.table-context-menu .table-context-menu-item{
    display: flex;
    justify-content: space-between;
    padding: 3px;
}

.table-context-menu .table-context-menu-item-remove,
.context-menu .context-menu-remove{
    color: red;
    line-height: 21px;
}
.table-context-menu .table-context-menu-item .text{
    margin: 0 3px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.table-context-menu .table-context-menu-item-btn{
    color: black;
    font-size: 15px;
    cursor: pointer;
    width: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.table-context-menu .table-context-menu-item-hover:hover{
    color: black;
    background: #e5e5e5;
    cursor: pointer;
}

.table-context-menu .table-context-menu-item-hover_yellow:hover{
    background-color: #ffffac63 !important;
    cursor: pointer;
}


.context-menu li a{
    color: black;
    line-height: 21px;
    width: 16px;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}
.context-menu li.context-menu-width_col a.plus{
    float: right;
}
.context-menu li.context-menu-width_col a.minus{
    float: left;
}

.context-menu li.context-menu-width_col a:hover{
    color: black;
    background: #e5e5e5;
}


.context-menu li.context-menu-item a:hover{
    color: black;
    background: #e5e5e5;
}

.not-viewed,
.hover,
.context-menu .context-menu-item:not(.text):hover,
.context-menu li.context-menu-item:not(.text):hover,
.context-menu li.context-menu-move_left:hover,
.context-menu li.context-menu-move_right:hover,
.context-menu li.context-menu-text_left:hover,
.context-menu li.context-menu-text_center:hover,
.context-menu li.context-menu-text_right:hover,
.context-menu li.context-menu-remove:hover{
    background-color: #ffffac63 !important;
}


.header-block {
    height: 40px;
    background-color: #2cb2e4;
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
    margin-bottom: 15px;
    position: relative;
    text-align: left;
    font-weight: bold;
    font-size: 16px;
    line-height: 38px;
    color: #000000;
}

.header-block .logo-text{
    padding-left: 15px;
}

.level-up,
.back-btn {
    /*width: 110px;*/
    width: 100px;
    /*background: #FFFFD1;*/
    background: #ffffff;
    border-radius: 4px;
    padding: 7px 0;
    color: #173884;
    font-family: Arial, Verdana, sans-serifl, serif;
    font-weight: bold;
    cursor: pointer;
    text-align: center;
    position: absolute;
    bottom: -47px;
    left: 20px;
    border: 1px solid #cecece;
    z-index: 1;
    line-height: 1;
    font-size: 16px;
}

.level-up{
    top: 53px;
    bottom: auto;
    left: 132px;
}

.block-hidden {
    display: none;
}

.cell-excerpt {
    text-overflow: ellipsis;
    overflow: hidden;
    width: 100%;
    white-space: nowrap;
}

span.yearToggler {
    cursor: pointer;
    width: 13px;
    height: 13px;
    display: inline-block;
    margin-left: 5px;
    vertical-align: top;
    border: 1px solid #0196e0;
    background-image: url(/images/collapse_arrows.png);
    background-size: 11px;
    background-repeat: no-repeat;
    background-position: center center;
}

span.yearToggler.collapsed {
    background-color: #ffffaa;
}

.btn {
    padding: 5px 15px;
    background-color: #ECE9E9;
    border: 1px solid grey;
    border-radius: 4px;
    cursor: pointer;
    outline: none;
    font-size: 13px;
}
.btn.disabled {
    opacity: .4;
    cursor: default;
}

.text-block {
    margin: 15px 0;
}


.progress {
    display: inline-block;
    height: 20px;
    width: 50%;
    float: right;
}

.progress .bar {
    height: 100%;
    background: green;
    width: 0;
    text-align: left;
}

.progress .bar.done {
    width: 100%;
    background: transparent;
}

.title-in {
    font-size: 18pt;
    font-weight: bold;
    color: #0196e0;
    text-align: center;
    margin-bottom: 20px;
    position: relative;
}

.title-in.title-small{
    font-size: 14pt;
    margin-top: -10px !important;
}

.remove {
    cursor: pointer;
    text-align: center;
}

.expiration-alert {
    color: #ff0000 !important;
}

.fancybox-inline-box {
    display: none;
}

.page-footer {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.user-access-list {
    cursor: pointer;
}

.save-btn {
    display: none;
}

.cursor-pointer {
    cursor: pointer;
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
    -ms-user-select: none;
    -webkit-user-select: none;
}

.preview-wrap {
    position: relative;
    padding: 0 20px;
    min-height: 18px;
}

.doc-preview {
    position: absolute;
    left: 0;
    top: 0;
    width: 18px;
    height: 18px;
}

.doc-preview img {
    width: 100%;
}

.preview-image {
    width: 600px;
    height: 240px;
    margin-bottom: 15px;
    text-align: center;
    overflow: hidden;
    overflow-y: auto;
}

.preview-image.centered-spiner {
    line-height: 240px;
}

.preview-image > img {
    width: 100%;
}

a.btn {
    display: inline-block;
    color: #323232;
    font-size: 12px;
}

.upload-doc > img {
    width: 100%;
}

.upload-doc {
    width: 18px;
    height: 18px;
    position: absolute;
    top: 0;
    left: 0;
}

.progress-bar {
    margin-bottom: 10px;
}

.progress-bar .bar {
    height: 18px;
    background: green;
    transition: all .6s ease;
    -webkit-transition: all .6s ease;
    -moz-transition: all .6s ease;
    text-align: center;
    font-size: 14px;
    color: #fff;
}

.upload-submit {
    margin-top: 15px;
    text-align: center;
}

.btn-sm {
    padding: 3px 10px;
}

.preview-file-item {
    overflow: hidden;
    margin-bottom: 15px;
}

.file-controls {
    float: right;
}

.file-name {
    float: left;
    max-width: 290px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
}

.preview-file-list {
    min-width: 380px;
    max-height: 620px;
    overflow-y: auto;
    margin-bottom: 15px;
}

.error-message {
    color: #ff0000;
    font-size: 14px;
}

.image-preview-item {
    max-width: 600px;
}

.image-preview-item > img {
    max-width: 100%;
}

.view-preview img {
    max-width: 100%;
}


h5.mb-title {
    color: #0196e0;
    text-align: center;
    margin-bottom: 15px;
    font-size: 16px;
}

.message-box-header p {
    font-size: 12px;
}

.message-box-header {
    padding: 5px;
}

input.form-control {
    padding: 2px;
}

.main-page-table td a {
    display: block;
}

#vacationList .thead {
    width: calc(100% - 17px) !important;
}

#vacationList .thead.cs {
    width: 100% !important;
}

.pickersc {
    text-align: left;
}

.pickersc > li {
    display: inline-block;
    cursor: pointer;
    border: 1px solid #d2d2d2;
    width: 50px;
    height: 50px;
}

.pickersc > li.active {
    border: 1px solid #000000;
}

.form-title{
    font-size: 20px;
    padding-bottom: 10px;
    border-bottom: 1px solid #cccccc;
    margin-bottom: 10px;
}

.form-bottoms{
    padding-top: 10px;
    border-top: 1px solid #cccccc;
    margin-top: 10px;
}

.form-field + .form-field {
    margin-top: 15px;
}

.form-field label {
    display: block;
    font-size: 14px;
    margin-bottom: 5px;
    text-align: left;
    max-width: max-content;
}
.form-field input.edit-input{
    height: 20px;
}
.form-field .edit-input {
    border: 1px solid #ced4da;
    padding: 5px 10px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    width: calc(100% - 22px);
    text-align: left;
    font-family: Verdana, Tahoma, Arial, sans-serif;
}

.form-field.number-format .edit-input{
    text-align: right;
}


.form-field select.edit-input {
    width: 100%;
    font-family: Verdana, Tahoma, Arial, sans-serif;
    background-color: #ffffff;
}

.form-field .edit-input + .edit-input {
    margin-top: 5px;
}

.form-field textarea.edit-input {
    resize: none;
    padding-top: 10px;
    padding-bottom: 10px;
    font-family: Verdana, Tahoma, Arial, sans-serif;
}

.filter-block {
    overflow-y: hidden;
    overflow-x: auto;
    position: relative;
    height: 20px;
}

.filter-block .filters {
    white-space: nowrap;

    text-align: center;
    position: relative;
    left: 0;
    transform: none;
    width: 100%;
}

:not(.filter-block) .filters {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
}

.filters a.filter {
    color: #323232;
    font-size: 13px;
    padding: 3px 10px;
    display: inline-block;
}

#user-alist {
    text-align: left;
}

.box-controls {
    text-align: left;
}

body > .printfield {
    visibility: hidden;
    display: none;
}

.clearfix:after {
    content: '';
    display: block;
    clear: both;
    height: 0;
}

.control-btns {
    display: flex;
    list-style: none;
    width: 100%;
    justify-content: stretch;
    margin-top: 15px;
}

.control-btns .btn {
    flex-grow: 1;
    text-align: center;
}

.btn.hidden {
    display: none;
}

.show-mode .editor-add-item {
    display: none;
}

.editor-add-item {
    font-weight: bold;
    cursor: pointer;
    font-size: 0.8em;
    max-width: 80%;
    padding: 2px;
    margin: 0 auto;
}

.hidden {
    display: none !important;
}

.c-title-hide {
    display: none;
}

.container {
    text-align: start;
    display: inline-block;
    min-width: 1150px;
    width: auto;
    max-width: 1150px;
    position: relative;
}


@media print {
    body, html{
        background: #ffffff;
    }
}
@media print {
    * {
        float: none !important;
    }

    .wrapper_footer_main{
        display: none !important;
        visibility: hidden !important;
    }

    /*body:not(.printshedule) > *:not(.printfield), body .fancybox-overlay {*/
    /*    visibility: hidden !important;*/
    /*    display: none !important;*/
    /*}*/
    body.printshedule > .container > .container-inner > *:not(.printfield),
    body.printshedule .printfield .text-block:not(.c-title) {
        visibility: hidden !important;
        display: none !important;
    }

    /*body:not(.printshedule) .printfield {*/
    /*    visibility: visible;*/
    /*    display: block;*/
    /*}*/
    /*body.printshedule .printfield {*/
    /*    visibility: visible;*/
    /*    display: block;*/
    /*}*/
    body.printshedule .container,
    body.printshedule .printfield {
        overflow: hidden;
        height: auto;
        width: 100% !important;
        min-width: 100% !important;
        max-width: 100% !important;
        padding: 0;
    }

    body.printshedule .printfield p {
        page-break-after: always !important;
    }

    .section-secondary-shedule .month-wrap table {
        border-spacing: 0 !important;
        border-collapse: collapse !important;
    }

    .section-secondary-shedule .month-wrap table td,
    .section-secondary-shedule .month-wrap table td div {
        -webkit-print-color-adjust: exact;
    }

    *{

        -webkit-print-color-adjust: exact;
    }

    /*body.printshedule .popup-background {*/
    /*    background-color: #0000 !important;*/
    /*    border-radius: 0 !important;*/
    /*    left: 0 !important;*/
    /*    margin: 0 !important;*/
    /*    padding: 0 !important;*/
    /*    position: absolute !important;*/
    /*    text-align: center !important;*/
    /*    top: 0 !important;*/
    /*    transform: none !important;*/
    /*    width: 100% !important;*/
    /*    height: auto !important;*/
    /*}*/
    /*body.printshedule > .container,*/
    /*body.printshedule .btn,*/
    /*body.printshedule .close-popup-btn {*/
    /*    display: none !important;*/
    /*}*/
    /*body.printshedule .popup-background .popup-content-container {*/
    /*    border: 0;*/
    /*    width: 100% !important;*/
    /*}*/
    /*body.printshedule .section-secondary-shedule .month-wrap table td:nth-child(1),*/
    /*body.printshedule .section-secondary-shedule .month-wrap table td:nth-child(2) {*/
    /*    width: 30px !important;*/
    /*}*/
    /*#printcontent { position: absolute; top: 40px; left: 30px; }*/
}

/* landscape a3 */
@media print and (orientation: landscape) and (min-width: 1100px) {

    * {
        page-break-before: unset;
        page-break-after: unset;
        page-break-inside: unset;
    }

    body.printshedule .section-secondary-shedule .month-wrap {
        width: 15% !important;
        max-width: 15% !important;
    }

    body.printshedule {
        transform: scale(0.64);
        transform-origin: top center;
        width: 140%;
        margin-left: -20%;

    }

    body.printshedule .title-in {
        font-size: 30px;
    }

    body.printshedule .section-secondary-shedule .month-wrap td, body.printshedule .section-secondary-shedule .month-wrap th {
        height: 17px;

    }

    body.printshedule .section-secondary-shedule {
        padding: 0 0;
    }

    body.printshedule .section-secondary-shedule .month-wrap table td:nth-child(1),
    body.printshedule .section-secondary-shedule .month-wrap table td:nth-child(2) {
        width: 30px !important;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(odd) {
        margin-bottom: 15px;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(even) {
        margin-bottom: 0;
    }


    body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
        margin-right: 40px;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(10) {
        margin-left: 40px;
    }

    body.printshedule .c-title {
        display: flex;
        justify-content: space-around;
    }

    body.printshedule .c-title-hide {
        display: block;
        padding-left: 80px;
    }

    body.printshedule .section-secondary-shedule .month-wrap{
        /*border-top: 2px solid #FF00FF;*/
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(1),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(2),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(5),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
        order: 1 !important;
        /*border-top: 2px solid #FF0000;*/
        /*background: #FF0000;*/
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(5),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
        order: 3 !important;
        /*border-top: 2px solid #FF0000;*/
        /*background: #FF0000;*/
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(8),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(9)
     {
        order: 2 !important;
        /*border-top: 2px solid #FF0000;*/
        /*background: #FF0000;*/
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(10),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(11),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(12){

        order: 4 !important;
    }
}

@media print and (orientation: landscape) and (max-width: 1100px) {
    * {
        page-break-before: unset;
        page-break-after: unset;
        page-break-inside: unset;
    }

    body.printshedule .section-secondary-shedule .month-wrap {
        width: 15% !important;
        max-width: 15% !important;
    }

    body.printshedule {
        transform: scale(0.85);
        transform-origin: top center;
        width: 120%;
        margin-left: -10%;
    }

    body.printshedule .section-secondary-shedule .month-wrap td, body.printshedule .section-secondary-shedule .month-wrap th {
        height: 17px;
    }

    body.printshedule .section-secondary-shedule {
        padding: 0 30px;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(9) {
        margin-right: 15px;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(10) {
        margin-left: 15px;
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(1),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(2),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(5),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
        order: 1 !important;
        /*border-top: 2px solid #FF0000;*/
        /*background: #FF0000;*/
    }

    body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(8),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(9),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(10),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(11),
    body.printshedule .section-secondary-shedule .month-wrap:nth-child(12) {
        order: 2 !important;
        /*border-top: 2px solid #FF0000;*/
        /*background: #FF0000;*/
    }

    /*body.printshedule .section-secondary-shedule .month-wrap:nth-child(7), body.printshedule .section-secondary-shedule .month-wrap:nth-child(8) {*/
    /*margin-left: 40px;*/
    /*}*/
}



@media print and (orientation: portrait) {
    * {
        page-break-before: unset;
        page-break-after: unset;
        page-break-inside: unset;
    }

    body.printshedule .title-in {
        font-size: 30px;
    }

    body.printshedule .section-secondary-shedule .month-wrap td, body.printshedule .section-secondary-shedule .month-wrap th {
        height: 17px;
    }

    body.printshedule .section-secondary-shedule {
        padding: 0;
    }


    @media (min-width: 595px) {
        body.printshedule .section-secondary-shedule .month-wrap {
            width: 15% !important;
            max-width: 15% !important;

        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(1) {
            margin-bottom: 50px;
        }

        body.printshedule {
            transform: scale(0.9);
            transform-origin: top center;
            width: 110%;
            margin-left: -5%;
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(1),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(2),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(5),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
            order: 1 !important;
            /*border-top: 2px solid #00FF00;*/
            /*background: #00FF00;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(8),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(9),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(10),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(11),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(12) {
            order: 2 !important;
            /*border-top: 2px solid #00FF00;*/
            /*background: #00FF00;*/
        }

    }
    @media (max-width: 594px) {
        body.printshedule .section-secondary-shedule .month-wrap {
            width: 30% !important;
            max-width: 30% !important;
        }

        body.printshedule {
            transform: scale(0.635);
            transform-origin: top center;
            width: 140%;
            margin-left: -20%;
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(1),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(5) {
            order: 1 !important;
            margin-bottom: 20px;
            /*border-top: 2px solid #0000ff;*/
            /*background: #0000ff;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(2),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
            order: 2 !important;
            margin-bottom: 20px;
            /*border-top: 2px solid #0000ff;*/
            /*background: #0000ff;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(9),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(11) {
            order: 3 !important;
            margin-bottom: 20px;
            /*border-top: 2px solid #0000ff;*/
            /*background: #0000ff;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(8),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(10),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(12) {
            order: 4 !important;
            /*border-top: 2px solid #0000ff;*/
            /*background: #0000ff;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(1),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(2),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(3),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(4),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(5),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(6) {
            order: 1 !important;
            /*border-top: 2px solid #FF0000;*/
            /*background: #FF0000;*/
        }

        body.printshedule .section-secondary-shedule .month-wrap:nth-child(7),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(8),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(9),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(10),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(11),
        body.printshedule .section-secondary-shedule .month-wrap:nth-child(12) {
            order: 2 !important;
            /*border-top: 2px solid #FF0000;*/
            /*background: #FF0000;*/
        }
    }


}

.bg-tasks-white{
    background-color: #ffffff;
}

.bg-tasks-green{
    background-color: #00ff0050;
}

.bg-tasks-red{
    background-color: #ff000050;
}
.bg-tasks-gray{
    background-color: #cccccc50;
}
textarea.editor-input{
    width: calc(100% - 6px);
    margin-top: 3px;
    padding: 2px;
}

.new-pub {
    position: absolute;
    width: 7px;
    height: 7px;
    background: #01b2ec;
    border-radius: 50%;
    top: 50%;
    margin-top: -3px;
    right: 9px;
}

.unselectable {
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none;   /* Chrome/Safari/Opera */
    -khtml-user-select: none;    /* Konqueror */
    -moz-user-select: none;      /* Firefox */
    -ms-user-select: none;       /* Internet Explorer/Edge */
    user-select: none;           /* Non-prefixed version, currently
                                  not supported by any browser */
}



.selector_filter_categories,
.selector_filter_categories * {
    box-sizing: border-box;
    overflow: inherit !important;
    font-weight: normal;
    text-align: left;
    background: #ffffff;
}
.selector_filter_categories {
    width: 120px;
    height: 24px;
    position: absolute;
    bottom: 4px;
    z-index: 10;
}
.selector_filter_categories.blocked:after{
    content: '';
    display: block;
    position: absolute;
    background: rgba(255, 255, 255, 0.6);
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}
.selector_filter_categories:before {
    content: '';
    position: absolute;
    margin-top: -2px;
    border: 4px solid transparent;
    border-top: 5px solid #808080;
    right: 5px;
    top: 50%;
    pointer-events: none;
}
.selector_filter_categories .selected_categories {
    border: 1px solid #a5a5a5;
    width: 100%;
    height: 100%;
    cursor: pointer;
}
.selector_filter_categories .selected_categories .values {
    margin-right: 12px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    font-size: 13px;
    padding: 3px 0 0 5px;
    text-transform: capitalize;
}
.selector_filter_categories .categories_list {
    position: absolute;
    top: 100%;
    border: 1px solid #ccc;
    border-top: 0;
    width: 100%;
    background: #fff;
    display: none;
}
.selector_filter_categories.opened .categories_list {
    display: block;
}
.selector_filter_categories .categories_list .cat_label {
    padding: 1px 6px;
    display: block;
    text-transform: capitalize;
    font-size: 13px;
    cursor: pointer;
}
.selector_filter_categories .categories_list .cat_label:hover,
.selector_filter_categories .categories_list .cat_label:focus
{
    background: #eceff1;
}
.selector_filter_categories .categories_list .cat_label:first-child {
    padding-top: 3px;
}
.selector_filter_categories .categories_list .cat_label:last-child {
    padding-bottom: 4px;
}
.selector_filter_categories .categories_list .cat_label [type=checkbox] {
    margin: -1px 5px 0 0;
    position: relative;
    top: 2px;
}
.selector_filter_categories .categories_list .cat_label [type=checkbox].hidden {
    display: none;
}
/*.page-container{*/

/*    position: relative;*/
/*}*/

.wrapper_footer_main {
    position: absolute;
    right: 0;
    display: flex;
    box-sizing: border-box;
    justify-content: flex-end;
    flex-direction: column;
    padding: 5px 25px;
    bottom: 44px;
    width: 40%;
    height: auto;
}

.mobile-container .wrapper_footer_main{
    width: 60%;
}

.mobile-container .section.classic .table-head-block{
    flex-grow: 1;
}

.wrapper_footer_main_copyright {
    align-self: flex-end;
    justify-self: flex-end;
    font-size: 13px;
}

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}

.dflex{
    display: flex;
}

.flex-row{
    flex-direction: row;
}

.flex-column{
    flex-direction: column;
}

.justify-around{
    justify-content: space-around;
}

.justify-between{
    justify-content: space-between;
}


.head-scroll{
    overflow-x: scroll;
    width: calc(100% - 15px);
    height: 64px;
    max-height: 64px;
    min-height: 64px;
}
.head-scroll + .table-body-block{
    margin-top: 10px;
}
.head-scroll::-webkit-scrollbar {
    height: 0 !important;
    width: 0 !important;
    overflow: -moz-scrollbars-none;
    -ms-overflow-style: none;
}

.date-string-start,
.date-string-end{
    display: inline-block;
    width: 17px;
    text-align: right;
}

.date-string-month{
    display: inline-block;
    text-align: right;
    width: 28px
}

.last-visit-i {
    background-color: #ffffaa !important;
}